DynamicJava Javadoc: Class Allocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class Allocation

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Allocation

Direct Known Subclasses:
  ArrayAllocation, ClassAllocation, InnerAllocation, SimpleAllocation

public abstract class Allocation
extends PrimaryExpression

This class represents the allocation nodes of the syntax tree

Field Summary
`static java.lang.String` | `CREATION_TYPE` The creationType property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `Allocation(Type tp, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`Type` | `getCreationType()` Returns the creation type
`void` | `setCreationType(Type t)` Sets the creation type

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATION_TYPE

    public static final java.lang.String CREATION_TYPE

  The creationType property name

Constructor Detail

### Allocation

    protected Allocation(Type tp,
                         java.lang.String fn,
                         int bl,
                         int bc,
                         int el,
                         int ec)

  Initializes the expression
  Parameters:
    `tp` - the creation type
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if tp is null

Method Detail

### getCreationType

    public Type getCreationType()

  Returns the creation type

### setCreationType

    public void setCreationType(Type t)

  Sets the creation type
  Throws:
    `java.lang.IllegalArgumentException` - if t is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.